Source: https://developers.woosmap.com/api-reference/datasets-api/post-datasets-dataset_id-import/

> For clean Markdown of any page, append `.md` to the page URL.

> For a complete documentation index, see https://developers.woosmap.com/llms.txt

# Trigger Import



# Trigger Import

 POST 
https://api.woosmap.com/datasets/{dataset\_id}/import

Trigger the dataset import.

**Rate limit** : `1/90s`

**Ratelimit:** 1/90s

### Authorization

[`private_key`](#authorization-datasets-privatekeywithwrite)
apiKeyquery

Private key with write permission. Must stay private.

[`X-Api-Key`](#authorization-datasets-privatekeywithwriteheader)
apiKeyheader

Private key with write permission. Must stay private.

### Path Parameters

[`dataset_id`](#path-dataset-id)
stringrequired

### Response

202application/json

Successful Response

[`dataset_id`](#resp-202-dataset-id)
string (uuid)required

The dataset id that was scheduled for import.

### Errors

#401

Unable to locate credentials.

 

`application/json`

[`detail`](#err-401-detail)
stringrequired

#402

Out of free quota.

 

`application/json`

[`detail`](#err-402-detail)
stringrequired

#403

Credentials found, but not matching.

 

`application/json`

[`detail`](#err-403-detail)
stringrequired

#404

Dataset was not found

 

`application/json`

[`details`](#err-404-details)
stringrequired

#422

Validation Error

 

`application/json`

[`detail`](#err-422-detail)
object[]

Show 3 propertiesHide 3 properties

detail.[`loc`](#err-422-detail-loc)
any[]required

detail.[`msg`](#err-422-detail-msg)
stringrequired

detail.[`type`](#err-422-detail-type)
stringrequired

#429

Rate limit reached

 

`application/json`

[`details`](#err-429-details)
stringrequired

```shell
curl -L 'https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/import?private_key=YOUR_PRIVATE_API_KEY' \
-H 'content-type: application/json' \
-d '{}'
```

```javascript
const myHeaders = new Headers();
myHeaders.append("content-type", "application/json");

const raw = JSON.stringify({});

const requestOptions = {
  method: "POST",
  headers: myHeaders,
  body: raw,
  redirect: "follow"
};

fetch("https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/import?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

```python
import requests
import json

url = "https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/import?private_key=YOUR_PRIVATE_API_KEY"

payload = json.dumps({})
headers = {
    'content-type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```
